# Uses of Interface
org.opensaml.saml.ext.saml2mdui.Logo

Packages that use Logo
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.

## Uses of Logo in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type Logo
Modifier and Type
Method
Description
`List<Logo>`
UIInfo.`getLogos()`
Get the logos.

## Uses of Logo in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement Logo
Modifier and Type
Class
Description
`class`
`LogoImpl`
Concrete implementation of `Logo`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return Logo
Modifier and Type
Method
Description
`Logo`
LogoBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Logo`
LogoBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type Logo
Modifier and Type
Method
Description
`List<Logo>`
UIInfoImpl.`getLogos()`
Get the logos.

## Uses of Logo in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return Logo
Modifier and Type
Method
Description
`default Logo`
MetadataGeneratorParameters.`getLogo()`
Get the logo.